changing php version

Discussion in 'Free Hosting' started by skillsbo, Nov 26, 2019.

Thread Status:
Not open for further replies.
  1. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    I'm trying to change php version from 5.6.40 to 7.2 on xo5 server.
    I go to CPanel -> Select PHP Version -> Select 7.2 -> Set as current , but when I check Server Information it continuous to say 5.6.40. Any ideas?
     
  2. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    When I use phpinfo() function it actually says its 7.2.xx, seems like the Server Information is wrong or something.
    But when I try to install a app with Softaculous Apps Installer it says: Required PHP version greater than equal to 7.1.0 AND found version is : 5.6.40
     
  3. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    have you tried making sure your using the paper_lantern theme ?
    (not basic)

    also note many people reported issues with the softalicious installer
    (adding apps from cpanel in general)

    im also on the xo5 server but i never tried going to a higher php version as everything is fine for me (i use php 5.4)
    never had a reason for going to higher versions.

    i never believed in updating just because they say i should.
     
  4. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Yes i'm using the paper_lantern theme.

    I was trying to install Monsta web ftp with the softalicious installer but seems like it still asks for "Required PHP version greater than equal to 7.1.0".

    I will just download the files manually if possible.
     
  5. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    you could just use your default ftp options in cpanel.
    you should not need another ftp script to access your website.
    allowing others to ftp into your account may or may not be
    a violation of x10hostings terms or acceptable use policy.
    resulting in suspension of your account.
     
  6. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Yes that's what i'm using at the moment, but I always have to go to cpanel blablabla.
    With this I could just put it like ftp.example.com or something else.
    All for only my use, I guess that does not violate anything?
     
  7. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    I was just laying it out there its up to you what you use.
    i just know id find it best personally to use cpanel,
    at least that way you also log in to prevent suspension.
    since youd always log in to, using a separate ftp script,
    could make it easy to forget the need to properly login.
     
  8. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    You are totally right, that makes sense.
    I will just keep using the cpanel.

    Thank you for your suggestions!
     
  9. djalikx1

    djalikx1 New Member

    Messages:
    16
    Likes Received:
    1
    Trophy Points:
    3
    How are you even getting 7.2 as an option. Mine is showing 7.1 as the highest and it's now EOL
     
  10. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    7.2 is in the drop down list of php options when using multiphp manager.
    ive never had a need to go that high so couldnt tell ya how it works.
     
  11. djalikx1

    djalikx1 New Member

    Messages:
    16
    Likes Received:
    1
    Trophy Points:
    3
    My options don't show 7.2. 7.1 is the highest on my server.
     
  12. skillsbo

    skillsbo New Member

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Are you using xo5 server?
     
  13. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    me? yes im on xo5 server.
     
  14. djalikx1

    djalikx1 New Member

    Messages:
    16
    Likes Received:
    1
    Trophy Points:
    3
  15. djalikx1

    djalikx1 New Member

    Messages:
    16
    Likes Received:
    1
    Trophy Points:
    3
  16. spacresx

    spacresx Active Member

    Messages:
    615
    Likes Received:
    34
    Trophy Points:
    28
    @djalikx1

    it would appear x02 server was never upgraded in php versions.
    so 7.1 would be your limit.

    Only staff members can help you with that,
    regular members can not do anything.

    Id suggest starting a new topic to help change servers.
    support may not see your request here,
    since you did post on someone elses topic.
     
Thread Status:
Not open for further replies.

Share This Page